# ogDisplay_VESA Class Reference

`#include <ogDisplay_VESA.h>`

## Public Member Functions

| ogDisplay_VESA (void)
virtual bool | ogAvail (void)
virtual bool | ogAlias (ogSurface &, uInt32, uInt32, uInt32, uInt32)
virtual void | ogClear (uInt32)
virtual bool | ogClone (ogSurface &)
virtual void | ogCopyLineTo (uInt32, uInt32, const void *, uInt32)
virtual void | ogCopyLineFrom (uInt32, uInt32, void *, uInt32)
virtual void | ogCopyPal (ogSurface &)
virtual bool | ogCreate (uInt32, uInt32, ogPixelFmt)
virtual uInt32 | ogGetPixel (int32, int32)
virtual void * | ogGetPtr (uInt32, uInt32)
virtual void | ogHLine (int32, int32, int32, uInt32)
virtual bool | ogLoadPal (const char *)
virtual void | ogSetPixel (int32, int32, uInt32)
virtual void | ogSetRGBPalette (uInt8, uInt8, uInt8, uInt8)
virtual void | ogVFlip (void)
virtual void | ogVLine (int32, int32, int32, uInt32)
virtual | ~ogDisplay_VESA (void)

## Protected Member Functions

uInt16 | findMode (uInt32, uInt32, uInt32)
void | getModeInfo (uInt16)
void | getVESAInfo (void)
void | setMode (uInt16)
virtual uInt32 | rawGetPixel (uInt32, uInt32)
virtual void | rawSetPixel (uInt32, uInt32, uInt32)
virtual void | rawLine (uInt32, uInt32, uInt32, uInt32, uInt32)
void | setPal (void)

## Protected Attributes

uInt16 | ScreenSelector
TVESA_Rec * | VESARec
TMode_Rec * | ModeRec
bool | InGraphics

## Constructor & Destructor Documentation

ogDisplay_VESA::ogDisplay_VESA | ( | void |  | ) |

virtual ogDisplay_VESA::~ogDisplay_VESA | ( | void |  | ) | `[virtual]`

## Member Function Documentation

uInt16 ogDisplay_VESA::findMode | ( | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) | `[protected]`

void ogDisplay_VESA::getModeInfo | ( | uInt16 |  | ) | `[protected]`

void ogDisplay_VESA::getVESAInfo | ( | void |  | ) | `[protected]`

virtual bool ogDisplay_VESA::ogAlias | ( | ogSurface & | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) | `[virtual]`

virtual bool ogDisplay_VESA::ogAvail | ( | void |  | ) | `[virtual]`

virtual void ogDisplay_VESA::ogClear | ( | uInt32 |  | ) | `[virtual]`

virtual bool ogDisplay_VESA::ogClone | ( | ogSurface & |  | ) | `[virtual]`

virtual void ogDisplay_VESA::ogCopyLineFrom | ( | uInt32 | ,
|  | uInt32 | ,
|  | void * | ,
|  | uInt32 |
| ) | `[virtual]`

virtual void ogDisplay_VESA::ogCopyLineTo | ( | uInt32 | ,
|  | uInt32 | ,
|  | const void * | ,
|  | uInt32 |
| ) | `[virtual]`

virtual void ogDisplay_VESA::ogCopyPal | ( | ogSurface & |  | ) | `[virtual]`

virtual bool ogDisplay_VESA::ogCreate | ( | uInt32 | ,
|  | uInt32 | ,
|  | ogPixelFmt |
| ) | `[virtual]`

virtual uInt32 ogDisplay_VESA::ogGetPixel | ( | int32 | ,
|  | int32 |
| ) | `[virtual]`

virtual void* ogDisplay_VESA::ogGetPtr | ( | uInt32 | ,
|  | uInt32 |
| ) | `[virtual]`

virtual void ogDisplay_VESA::ogHLine | ( | int32 | ,
|  | int32 | ,
|  | int32 | ,
|  | uInt32 |
| ) | `[virtual]`

virtual bool ogDisplay_VESA::ogLoadPal | ( | const char * |  | ) | `[virtual]`

virtual void ogDisplay_VESA::ogSetPixel | ( | int32 | ,
|  | int32 | ,
|  | uInt32 |
| ) | `[virtual]`

virtual void ogDisplay_VESA::ogSetRGBPalette | ( | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 |
| ) | `[virtual]`

virtual void ogDisplay_VESA::ogVFlip | ( | void |  | ) | `[virtual]`

virtual void ogDisplay_VESA::ogVLine | ( | int32 | ,
|  | int32 | ,
|  | int32 | ,
|  | uInt32 |
| ) | `[virtual]`

virtual uInt32 ogDisplay_VESA::rawGetPixel | ( | uInt32 | ,
|  | uInt32 |
| ) | `[protected, virtual]`

virtual void ogDisplay_VESA::rawLine | ( | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) | `[protected, virtual]`

virtual void ogDisplay_VESA::rawSetPixel | ( | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |
| ) | `[protected, virtual]`

void ogDisplay_VESA::setMode | ( | uInt16 |  | ) | `[protected]`

void ogDisplay_VESA::setPal | ( | void |  | ) | `[protected]`

## Field Documentation

bool ogDisplay_VESA::InGraphics `[protected]`

TMode_Rec* ogDisplay_VESA::ModeRec `[protected]`

uInt16 ogDisplay_VESA::ScreenSelector `[protected]`

TVESA_Rec* ogDisplay_VESA::VESARec `[protected]`

The documentation for this class was generated from the following file:

- ogDisplay_VESA.h